# Ogre::Win32ErrorDialog Class Reference

Windows-specific class for displaying the error dialog if Ogre fails badly! More...

`#include <OgreWin32ErrorDialog.h>`

Inheritance diagram for Ogre::Win32ErrorDialog:

List of all members.

## Public Member Functions

| Win32ErrorDialog (HINSTANCE hInst)
void | display (const String &errorMessage, String logName="")
| Displays the error dialog.

## Static Protected Member Functions

BOOL CALLBACK | DlgProc (HWND hDlg, UINT iMsg, WPARAM wParam, LPARAM lParam)
| Callback to process window events.

## Protected Attributes

String | mErrorMsg
HINSTANCE | mHInstance

## Detailed Description

Windows-specific class for displaying the error dialog if Ogre fails badly!

Definition at line 35 of file OgreWin32ErrorDialog.h.

## Constructor & Destructor Documentation

Ogre::Win32ErrorDialog::Win32ErrorDialog | ( | HINSTANCE | hInst | ) |

## Member Function Documentation

void Ogre::Win32ErrorDialog::display | ( | const String & | errorMessage,
|  | String | logName = ""
| ) | `[virtual]`

Displays the error dialog.

Parameters:

  errorMessage | The error message which has caused the failure.
  logName | Optional name of the log to display in the detail pane.

Implements Ogre::ErrorDialog.

BOOL CALLBACK Ogre::Win32ErrorDialog::DlgProc | ( | HWND | hDlg,
|  | UINT | iMsg,
|  | WPARAM | wParam,
|  | LPARAM | lParam
| ) | `[static, protected]`

| Callback to process window events.

## Member Data Documentation

String Ogre::Win32ErrorDialog::mErrorMsg `[protected]`

| Definition at line 46 of file OgreWin32ErrorDialog.h.

HINSTANCE Ogre::Win32ErrorDialog::mHInstance `[protected]`

| Definition at line 50 of file OgreWin32ErrorDialog.h.

The documentation for this class was generated from the following file:

- OgreWin32ErrorDialog.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:41:37 2005